Skip to main content
Nowledge MemNowledge Mem

Ingest Url

POST
/sources/ingest/url

Ingest a web page into the library.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/sources/ingest/url" \  -H "Content-Type: application/json" \  -d '{    "url": "string"  }'
{  "is_duplicate": false,  "lifecycle_state": "string",  "message": "",  "original_name": "string",  "source_id": "string"}